%define name tangogps
%define oname TangoGPS
%define version 0.99.4
%define release %mkrel 1


Summary: User friendly map and GPS software
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
Patch1: tangogps-0.9.6-docdir.patch
License: GPLv2
Group: Sciences/Geosciences
Url: http://www.tangogps.org/gps/cat/About
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: curl-devel
BuildRequires: dbus-glib-devel
BuildRequires: gtk2-devel
BuildRequires: libexif-devel
BuildRequires: libGConf2-devel
BuildRequires: sqlite3-devel
Requires: gpsd
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version
Requires:   pclinuxos-release

%description
tangogps is an easy to use, fast and lightweight mapping application
for use with or without GPS.
By default tangoGPS uses map data from the Openstreetmap
project. Additionally a variety of other repositories can be easily
added.
The maps are automagically downloaded and cached for offline use while
you drag or zoom the map. Furthermore you can conveniently pre-cache
areas with tangoGPS.

%prep
%setup -q
%patch1 -p1

%build
autoreconf -fis
%configure2_5x

%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PIM" \
  --add-category="Education" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Geosciences" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 16 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert -scale 32 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 48 pixmaps/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png

cp %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png \
%{buildroot}/%{_datadir}/pixmaps

#remove
rm -rf %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus



%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README ChangeLog AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/doc/tangogps


%changelog
* Mon Sep 27 2010 Texstar <texstar at gmail.com> 0.99.4-1pclos2010
- 0.99.4

* Fri Sep 10 2010 Texstar <texstar at gmail.com> 0.99.2-2pclos2010
- rebuild ldap

* Thu Jan 14 2010 slick50 <lxgator@gmail.com> 0.99.2-1pclos2010
- 0.99.2

* Sun Nov 22 2009 slick50 <lxgator@gmail.com> 0.99.1-1pclos2010
- 0.99.1



